> ## Documentation Index
> Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a current-user data export report

> Returns the status and metadata for one current-user data export, including readiness, expiration, and download availability.



## OpenAPI

````yaml /openapi.json get /reports/exports/{exportId}
openapi: 3.0.4
info:
  title: Leadping API
  description: >-
    Leadping API for lead intake, messaging, calling, automations, billing,
    business settings, and compliant lead communication workflows.
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: v1
servers:
  - url: https://api.leadping.ai
    description: Production
security: []
tags:
  - name: Analytics
  - name: Automations
  - name: Contact
  - name: Conversations
  - name: Dispositions
  - name: Feedback
  - name: Leads
  - name: LeadStatuses
  - name: Notifications
  - name: OutboundDelivery
  - name: Sources
  - name: Suppressions
  - name: Tags
  - name: Users
  - name: Calls
  - name: PhoneNumbers
  - name: Sms
  - name: Telephony
  - name: UserDataExports
  - name: CallEvents
  - name: Events
  - name: SmsEvents
  - name: Businesses
  - name: PaymentMethods
  - name: Transactions
  - name: Usage
  - name: Wallets
paths:
  /reports/exports/{exportId}:
    get:
      tags:
        - UserDataExports
      summary: Get a current-user data export report
      description: >-
        Returns the status and metadata for one current-user data export,
        including readiness, expiration, and download availability.
      operationId: UserDataExports_GetCurrentUserExport
      parameters:
        - name: exportId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/UserDataExportResponse'
                description: >-
                  Response model containing user data export data returned by
                  the Leadping API.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    UserDataExportResponse:
      type: object
      properties:
        id:
          type: string
          description: Unique Leadping identifier for the user data export.
        status:
          allOf:
            - $ref: '#/components/schemas/UserDataExportStatuses'
          description: Current status for this Leadping user data export.
        requestedAt:
          type: string
          description: Date and time when the user data export was requested.
          format: date-time
        startedAt:
          type: string
          description: Date and time when the user data export started.
          format: date-time
          nullable: true
        completedAt:
          type: string
          description: Date and time when the user data export completed.
          format: date-time
          nullable: true
        failedAt:
          type: string
          description: Date and time when the user data export failed.
          format: date-time
          nullable: true
        expiresAt:
          type: string
          description: Date and time when the user data export expires.
          format: date-time
        message:
          type: string
          description: Human-readable message for this Leadping user data export.
          nullable: true
        downloadUrl:
          type: string
          description: Temporary URL for downloading the completed Leadping data export.
          nullable: true
        fileName:
          type: string
          description: >-
            Human-readable file name associated with this Leadping user data
            export.
          nullable: true
        contentType:
          type: string
          description: Media type of the generated file or response content.
          nullable: true
        sizeBytes:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: File size in bytes.
          format: int64
          nullable: true
        downloadCount:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: >-
            Total number of download records represented by this Leadping user
            data export.
          format: int32
        maxDownloadCount:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: >-
            Total number of max download records represented by this Leadping
            user data export.
          format: int32
        files:
          type: array
          items:
            allOf:
              - $ref: '#/components/schemas/UserDataExportFile'
            description: >-
              Response model containing user data export file data returned by
              the Leadping API.
          description: Collection of files included with this Leadping user data export.
      description: >-
        Response model containing user data export data returned by the Leadping
        API.
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          description: URI reference that identifies the problem type.
          nullable: true
        title:
          type: string
          description: Short, human-readable summary of the problem.
          nullable: true
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: HTTP status code returned for the problem.
          format: int32
          nullable: true
        detail:
          type: string
          description: >-
            Human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: >-
            URI reference that identifies this specific occurrence of the
            problem.
          nullable: true
    UserDataExportStatuses:
      enum:
        - Pending
        - Processing
        - Completed
        - Failed
        - Expired
      type: string
      description: Defines the supported user data export statuses values.
    UserDataExportFile:
      type: object
      properties:
        category:
          type: string
          description: Category classification for this Leadping user data export file.
        fileName:
          type: string
          description: >-
            Human-readable file name associated with this Leadping user data
            export file.
        contentType:
          type: string
          description: Media type of the generated file or response content.
        rowCount:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: >-
            Total number of row records represented by this Leadping user data
            export file.
          format: int32
      description: >-
        Response model containing user data export file data returned by the
        Leadping API.

````